summaryrefslogtreecommitdiff
path: root/lib/theme-and-appearance.zsh
diff options
context:
space:
mode:
authormingang.he <dustgle@gmail.com>2016-11-03 21:10:08 +0800
committerMarc Cornellà <marc.cornella@live.com>2016-11-03 14:10:08 +0100
commit0b340bc3a5c58609a07987b296f773eaea17b274 (patch)
tree38c70c705c6e06d33a9f9698a729856eb5dcc8dc /lib/theme-and-appearance.zsh
parentb94d9e26e534c9729e8a9401a37e7a5b0906f0d5 (diff)
downloadzsh-0b340bc3a5c58609a07987b296f773eaea17b274.tar.gz
zsh-0b340bc3a5c58609a07987b296f773eaea17b274.tar.bz2
zsh-0b340bc3a5c58609a07987b296f773eaea17b274.zip
Fix #5604: No DIR ( directory ) colors (#5605)
Diffstat (limited to 'lib/theme-and-appearance.zsh')
-rw-r--r--lib/theme-and-appearance.zsh2
1 files changed, 1 insertions, 1 deletions
diff --git a/lib/theme-and-appearance.zsh b/lib/theme-and-appearance.zsh
index f368a48f0..96f34aa81 100644
--- a/lib/theme-and-appearance.zsh
+++ b/lib/theme-and-appearance.zsh
@@ -32,7 +32,7 @@ if [[ "$DISABLE_LS_COLORS" != "true" ]]; then
(( $+commands[dircolors] )) && eval "$(dircolors -b)"
fi
- ls --color -d . &>/dev/null && alias ls='ls --color=tty' || ls -G . &>/dev/null && alias ls='ls -G'
+ ls --color -d . &>/dev/null && alias ls='ls --color=tty' || { ls -G . &>/dev/null && alias ls='ls -G' }
# Take advantage of $LS_COLORS for completion as well.
zstyle ':completion:*' list-colors "${(s.:.)LS_COLORS}"